Loading...
Searching...
No Matches
Dune::Functions::LeafPreBasisMixin< Derived > Class Template Reference

A generic MixIn class for PreBasis. More...

`#include <dune/functions/functionspacebases/leafprebasismixin.hh>`

Inheritance diagram for Dune::Functions::LeafPreBasisMixin< Derived >:

## Public Types

using | size_type = std::size_t
| Type used for indices and size information.

## Public Member Functions

template<class SizePrefix, decltype(std::declval< SizePrefix >().size(), bool{}) = true>
size_type | size (const SizePrefix &prefix) const
| Return number of possible values for next position in multi index.
size_type | size () const
| Get the total dimension of the space spanned by this basis.
auto | containerDescriptor () const
| Return a flat container-descriptor.

## Static Public Attributes

static constexpr size_type | maxMultiIndexSize = 1
| Maximal length of global multi-indices.
static constexpr size_type | minMultiIndexSize = 1
| Minimal length of global multi-indices.
static constexpr size_type | multiIndexBufferSize = 1
| Size required temporarily when constructing global multi-indices.

## Detailed Description

template<class Derived>
class Dune::Functions::LeafPreBasisMixin< Derived >

A generic MixIn class for PreBasis.

Extends the interface of a Derived class by common constants and the size() methods. A requirement is that Derived implements the method dimension() returning the total number of basis functions the pre-basis represents.

This mixin class can be used for all pre bases that are on the leaf of the basis-tree. These pre-bases are supposed to have a size only for empty size-prefixes and this size is the same as the given dimension.

Template Parameters

  Derived | The actual implementation of a pre-basis

## Member Typedef Documentation

## size_type

template<class Derived>

using Dune::Functions::LeafPreBasisMixin< Derived >::size_type = std::size_t

Type used for indices and size information.

## Member Function Documentation

## containerDescriptor()

template<class Derived>

auto Dune::Functions::LeafPreBasisMixin< Derived >::containerDescriptor | ( |  | ) | const

inline

Return a flat container-descriptor.

## size() [1/2]

template<class Derived>

size_type Dune::Functions::LeafPreBasisMixin< Derived >::size | ( |  | ) | const

inline

Get the total dimension of the space spanned by this basis.

## size() [2/2]

template<class Derived>
template<class SizePrefix, decltype(std::declval< SizePrefix >().size(), bool{}) = true>

size_type Dune::Functions::LeafPreBasisMixin< Derived >::size | ( | const SizePrefix & | prefix | ) | const

inline

Return number of possible values for next position in multi index.

## Member Data Documentation

## maxMultiIndexSize

template<class Derived>

size_type Dune::Functions::LeafPreBasisMixin< Derived >::maxMultiIndexSize = 1

static constexpr

Maximal length of global multi-indices.

## minMultiIndexSize

template<class Derived>

size_type Dune::Functions::LeafPreBasisMixin< Derived >::minMultiIndexSize = 1

static constexpr

Minimal length of global multi-indices.

## multiIndexBufferSize

template<class Derived>

size_type Dune::Functions::LeafPreBasisMixin< Derived >::multiIndexBufferSize = 1

static constexpr

Size required temporarily when constructing global multi-indices.

The documentation for this class was generated from the following file:

- leafprebasismixin.hh